OracleAppResourceAdapter (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.oracleapp.OracleAppResourceAdapter interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.oracleapp
Interface OracleAppResourceAdapter

All Superinterfaces:
  J2EEComponent, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface OracleAppResourceAdapter

extends J2EEComponent

OracleAppResourceAdapter

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAdapterType()`
`java.lang.String` | `getAdapterVersion()`
`java.lang.String` | `getEisType()`
`boolean` | `getLicenseRequired()`
`boolean` | `getReauthenticationSupport()`
`java.lang.String` | `getResourceAdapterClass()`
`java.lang.String` | `getSpecVersion()`
`java.lang.String` | `getState()`
`boolean` | `hasAdapterType()`
`boolean` | `hasAdapterVersion()`
`boolean` | `hasEisType()`
`boolean` | `hasLicenseRequired()`
`boolean` | `hasReauthenticationSupport()`
`boolean` | `hasResourceAdapterClass()`
`boolean` | `hasSpecVersion()`
`boolean` | `hasState()`
`void` | `setAdapterType(java.lang.String adapterType)`
`void` | `setAdapterVersion(java.lang.String adapterVersion)`
`void` | `setEisType(java.lang.String eisType)`
`void` | `setLicenseRequired(boolean licenseRequired)`
`void` | `setReauthenticationSupport(boolean reauthenticationSupport)`
`void` | `setResourceAdapterClass(java.lang.String resourceAdapterClass)`
`void` | `setSpecVersion(java.lang.String specVersion)`
`void` | `setState(java.lang.String state)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEComponent
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getState

    java.lang.String getState()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setState

    void setState(java.lang.String state)

### hasState

    boolean hasState()

### getAdapterType

    java.lang.String getAdapterType()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAdapterType

    void setAdapterType(java.lang.String adapterType)

### hasAdapterType

    boolean hasAdapterType()

### getAdapterVersion

    java.lang.String getAdapterVersion()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAdapterVersion

    void setAdapterVersion(java.lang.String adapterVersion)

### hasAdapterVersion

    boolean hasAdapterVersion()

### getEisType

    java.lang.String getEisType()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEisType

    void setEisType(java.lang.String eisType)

### hasEisType

    boolean hasEisType()

### getLicenseRequired

    boolean getLicenseRequired()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLicenseRequired

    void setLicenseRequired(boolean licenseRequired)

### hasLicenseRequired

    boolean hasLicenseRequired()

### getReauthenticationSupport

    boolean getReauthenticationSupport()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setReauthenticationSupport

    void setReauthenticationSupport(boolean reauthenticationSupport)

### hasReauthenticationSupport

    boolean hasReauthenticationSupport()

### getResourceAdapterClass

    java.lang.String getResourceAdapterClass()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setResourceAdapterClass

    void setResourceAdapterClass(java.lang.String resourceAdapterClass)

### hasResourceAdapterClass

    boolean hasResourceAdapterClass()

### getSpecVersion

    java.lang.String getSpecVersion()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSpecVersion

    void setSpecVersion(java.lang.String specVersion)

### hasSpecVersion

    boolean hasSpecVersion()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD